package com.fr.plugin.xxx.gzjc.sso.conf;

import com.fr.config.*;
import com.fr.config.holder.Conf;
import com.fr.config.holder.factory.Holders;
import com.fr.intelli.record.Focus;
import com.fr.intelli.record.Original;
import com.fr.record.analyzer.EnableMetrics;


/**
 * @author xxx
 * @since 2021/12/04
 */
@Visualization(category = "Oauth2单点登陆配置")
@EnableMetrics
public class ExcelExportConfig extends DefaultConfiguration {

    private static volatile ExcelExportConfig config = null;

    @Focus(id = "com.fr.plugin.xxx.gzjc.sso", text = "Oauth2单点登陆配置", source = Original.PLUGIN)
    public static ExcelExportConfig getInstance() {
        if (config == null) {
            config = ConfigContext.getConfigInstance(ExcelExportConfig.class);
        }
        return config;
    }

    @Identifier(value = "debugSwitch", name = "插件调试开关", description = "日志调试模式", status = Status.SHOW)
    private Conf<Boolean> debugSwitch = Holders.simple(true);

    public Boolean getDebugSwitch() {
        return this.debugSwitch.get();
    }

    public void setDebugSwitch(Boolean debugSwitch) {
        this.debugSwitch.set(debugSwitch);
    }

    @Override
    public Object clone() throws CloneNotSupportedException {
        ExcelExportConfig cloned = (ExcelExportConfig) super.clone();
        cloned.debugSwitch = (Conf<Boolean>) debugSwitch.clone();
        return cloned;
    }


}
