package com.fr.plugin.xxx.gzjc.sso.filter;

import com.fr.decision.fun.impl.AbstractLogInOutEventProvider;
import com.fr.decision.webservice.login.LogInOutResultInfo;
import com.fr.general.PropertiesUtils;
import com.fr.stable.StringUtils;

import java.util.Properties;

import static com.fr.plugin.xxx.gzjc.sso.utils.CommonUtils.getProperty;


/**
 * @Author xxx
 * @since 2021/8/24
 **/
public class CustomLogInOutEventProvider extends AbstractLogInOutEventProvider {

    @Override
    public String logoutAction(LogInOutResultInfo result) {
        Properties props = PropertiesUtils.getProperties("sso");
        String apiClientId = getProperty(props, "api.client_id", false);
        String logoutURL = getProperty(props, "api.logout", true);
        String logoutRedirectURL = getProperty(props, "api.logout.redirect-url", StringUtils.EMPTY, true);
        if (StringUtils.isBlank(logoutURL)) {
            return null;
        }
        if (StringUtils.isBlank(logoutRedirectURL)) {
            return String.format("%s?redirectToLogin=false&entityId=%s", logoutURL, apiClientId);
        }
        return String.format("%s?redirctToUrl=%s&redirectToLogin=true&entityId=%s", logoutURL, logoutRedirectURL, apiClientId);
    }
}
